<div class="row mt-3">
  <div class="col-sm-12">
    <div class="card">
      <div class="card-body">

        <form [formGroup]="dForm" (ngSubmit)="ngOnSubmit()" role="form" id="new-user" ngNativeValidate>

          <div class="row">
            <!-- NOME -->
            <div class="col-lg-8">
              <fieldset class="form-group">
                Nome
                <input type="text" class="form-control" id="input-nome" formControlName="nome" placeholder="Nome" required>
              </fieldset>
            </div>

            <!-- ESTADOS - UF -->
            <div class="form-group col-sm-4 col-md-4 col-lg-4">
              Estado
              <select class="form-control" [(ngModel)]="uf" (change)="onChangeEstados(uf)" formControlName="uf">
                <option *ngFor="let e of estados" [ngValue]="e" [selected]="dForm.get('uf').value && dForm.get('uf').value == e.uf">{{ e.uf }} - {{ e.nome }}</option>
              </select>
            </div>
          </div>
        
          <div class="row">
            <!-- POPULAÇÃO -->
            <div class="col-lg-6">
              <fieldset class="form-group">
                População
                <input type="number" class="form-control" id="input-email" formControlName="populacao" placeholder="Qtd. população" required>
              </fieldset>
            </div>

            <!-- DATA DE CRIAÇÃO -->
            <div class="col-lg-6">
              <fieldset class="form-group">
                Data de criação
                <input type="text" class="form-control mask-telefone" id="input-data" formControlName="dataCriacao" placeholder="DD/MM/AAAA" mask='00/00/0000' required>
              </fieldset>
            </div>
          </div>
        
          <div class="row">
            <!-- PIB -->
            <div class="col-lg-6">
              <fieldset class="form-group">
                PIB
                <input type="text" class="form-control" id="input-senha" formControlName="pib" placeholder="pib" required>
              </fieldset>
            </div>
          </div>

          <div class="col-xl-12">
            <div class="mb-2">
        
              <!-- CADASTRAR/ATUALIZAR -->
              <button type="submit" class="btn btn-sm btn-outline-success align-left" title="{{legBtnSave}}">
                {{labelSuccess}}
              </button>
        
              <!-- VOLTAR -->
              <button type="submit" class="btn btn-sm btn-outline-primary align-btn-goBack" routerLink="/cidades">
                Voltar
              </button>
        
            </div>  
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
